Subject: Re: linux-next: Signed-off-by missing for commits in the rpmsg tree

From: Bjorn Andersson <[email-masked]>
Date: Mon, 27 Sep 2021 16:45:40 -0700

On Mon 27 Sep 15:40 PDT 2021, Stephen Rothwell wrote:

> Hi all,
> 
> Commits
> 
>   5346c95245ad ("dt-bindings: remoteproc: k3-dsp: Cleanup SoC compatible from DT example")
>   e24acced0dd9 ("dt-bindings: remoteproc: k3-r5f: Cleanup SoC compatible from DT example")
>   6944d19dfd0d ("remoteproc: mediatek: Support mt8195 scp")
>   3c14c79a4c32 ("dt-bindings: remoteproc: mediatek: Convert mtk,scp to json-schema")
>   fc265554dbc8 ("dt-bindings: remoteproc: mediatek: Add binding for mt8192 scp")
>   d75e3e9fa929 ("dt-bindings: remoteproc: mediatek: Add binding for mt8195 scp")
>   4d2236dbeb09 ("remoteproc: meson-mx-ao-arc: Add a driver for the AO ARC remote procesor")
>   059efbbfa03a ("dt-bindings: remoteproc: Add the documentation for Meson AO ARC rproc")
>   ee3eec23f843 ("remoteproc: imx_rproc: Change to ioremap_wc for dram")
>   9da2a820edc7 ("remoteproc: imx_rproc: Fix rsc-table name")
>   f64051b28d2d ("remoteproc: imx_rproc: Fix ignoring mapping vdev regions")
>   cfaa53387e8b ("remoteproc: imx_rproc: Fix TCM io memory type")
>   a46fb6875d39 ("remoteproc: Fix the wrong default value of is_iomem")
>   c7e587505b2b ("remoteproc: elf_loader: Fix loading segment when is_iomem true")
>   a57645ea04bf ("rpmsg: Change naming of mediatek rpmsg property")
> 
> are missing a Signed-off-by from their committer.
> 
> All presumablyrebased :-(
> 

That's exactly the case, I rebased Mathieu's patches to avoid having the
sha1s of the already published commits change, and wasn't aware that the
rebase would alter the committer field (but it does make sense in
hindsight).

I've now signed all the changes off and pushed the branches again,
hopefully no one will "notice"...to much...Going forward we'll avoid
rebasing things and shouldn't run into this problem again.

May I ask what tool you use to detect this? Given that checkpatch
doesn't care about the committer (afaict)...

Regards,
Bjorn